Mailinglist Archive: kubic-bugs (21 mails)

< Previous Next >
[kubic-bugs] [Bug 1140114] New: transactional-update fails with kernel v5.2-rc4+
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 02 Jul 2019 15:29:57 +0000
  • Message-id: <bug-1140114-81400@http.bugzilla.suse.com/>
http://bugzilla.suse.com/show_bug.cgi?id=1140114


Bug ID: 1140114
Summary: transactional-update fails with kernel v5.2-rc4+
Classification: openSUSE
Product: openSUSE Tumbleweed
Version: Current
Hardware: Other
OS: Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Kubic
Assignee: iforster@xxxxxxxx
Reporter: fvogt@xxxxxxxx
QA Contact: qa-bugs@xxxxxxx
CC: jslaby@xxxxxxxx, kubic-bugs@xxxxxxxxxxxx,
kukuk@xxxxxxxx, rgoldwyn@xxxxxxxx
Found By: ---
Blocker: ---

Found by openQA in a staging:
https://openqa.opensuse.org/tests/970506#step/transactional_update/9

For creating a chroot for a new snapshot, the upperdir of the current /etc is
part of the lowerdir chain for the chroot /etc.

This is apparently not supported by upstream overlayfs, as commit
146d62e5a5867fbf84490d82455718bfb10fe824 ("ovl: detect overlapping layers")
forbids those:

On mount, the hash table trap entries are used to verify that overlay
layers are not overlapping. While at it, we also verify that overlay
layers are not overlapping with directories "in-use" by other overlay
instances as upperdir/workdir.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
Follow Ups